package com.gic.haoban.manage.web.vo.moment;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.CardNoJsonSeralizer;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;
import com.gic.web.common.jsonSeralizer.UserNameJsonSeralizer;

import java.io.Serializable ;
import java.util.Date;

/**
 * 
 * @ClassName: TabHaobanQwMomentPlanData
 * @Description: TODO
 * @Author 徐高华
 * @Date 2025年03月05日 11:24:04
 * @Modify
 * @CopyRight 杭州
 */
public class QwMomentPlanDataVO implements Serializable{

	private static final long serialVersionUID = 69664410786500L;
	
	/**staff*/
	private String staffId;
	/**
	 * 员工名称
	 */
	private String staffName ;
	/**导购*/
	private String clerkId;
	/**导购code*/
	private String clerkCode;
	/**导购名称*/
	private String clerkName;
	/**客户id*/
	private String memberId;
	@JsonSerialize(using = UserNameJsonSeralizer.class)
	private String memberName ;
	private String memberNick ;
	@JsonSerialize(using = CardNoJsonSeralizer.class)
	private String memberCard ;
	private String memberImage ;
	@JsonSerialize(using = PhoneNumberJsonSeralizer.class)
	private String memberPhone ;

	/**是否删除*/
	private int deleteFlag;
	/**评论时间*/
	private java.util.Date commentTime;
	/**点赞时间*/
	private java.util.Date likeTime;
	/**是否评论*/
	private int commentFlag;
	/**是否点赞*/
	private int likeFlag;
	/**门店id*/
	private String storeId;
	/**
	 * 门店名称
	 */
	private String storeName ;
	/**
	 * 门店code
	 */
	private String storeCode ;

	/**
	 * 1：非会员 2：会员已注销 3：正常
	 */
	private Integer memberScene;

	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}

	public String getMemberNick() {
		return memberNick;
	}

	public void setMemberNick(String memberNick) {
		this.memberNick = memberNick;
	}

	public String getMemberCard() {
		return memberCard;
	}

	public void setMemberCard(String memberCard) {
		this.memberCard = memberCard;
	}

	public String getMemberImage() {
		return memberImage;
	}

	public void setMemberImage(String memberImage) {
		this.memberImage = memberImage;
	}

	public String getMemberPhone() {
		return memberPhone;
	}

	public void setMemberPhone(String memberPhone) {
		this.memberPhone = memberPhone;
	}

	public Integer getMemberScene() {
		return memberScene;
	}

	public void setMemberScene(Integer memberScene) {
		this.memberScene = memberScene;
	}

	public String getStaffId() {
		return staffId;
	}

	public void setStaffId(String staffId) {
		this.staffId = staffId;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	public String getClerkId() {
		return clerkId;
	}

	public void setClerkId(String clerkId) {
		this.clerkId = clerkId;
	}

	public String getClerkCode() {
		return clerkCode;
	}

	public void setClerkCode(String clerkCode) {
		this.clerkCode = clerkCode;
	}

	public String getClerkName() {
		return clerkName;
	}

	public void setClerkName(String clerkName) {
		this.clerkName = clerkName;
	}

	public String getMemberId() {
		return memberId;
	}

	public void setMemberId(String memberId) {
		this.memberId = memberId;
	}

	public int getDeleteFlag() {
		return deleteFlag;
	}

	public void setDeleteFlag(int deleteFlag) {
		this.deleteFlag = deleteFlag;
	}

	public Date getCommentTime() {
		return commentTime;
	}

	public void setCommentTime(Date commentTime) {
		this.commentTime = commentTime;
	}

	public Date getLikeTime() {
		return likeTime;
	}

	public void setLikeTime(Date likeTime) {
		this.likeTime = likeTime;
	}

	public int getCommentFlag() {
		return commentFlag;
	}

	public void setCommentFlag(int commentFlag) {
		this.commentFlag = commentFlag;
	}

	public int getLikeFlag() {
		return likeFlag;
	}

	public void setLikeFlag(int likeFlag) {
		this.likeFlag = likeFlag;
	}

	public String getStoreId() {
		return storeId;
	}

	public void setStoreId(String storeId) {
		this.storeId = storeId;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public String getStoreCode() {
		return storeCode;
	}

	public void setStoreCode(String storeCode) {
		this.storeCode = storeCode;
	}
}